package installer;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JTextPane;
import javax.swing.JFrame;


public class ExtraInfoFrame extends JDialog implements ActionListener {

	private JTextPane text;
	private JButton contiuneButton;
	private JButton cancelButton;
	private JScrollPane textPane;
	ExtraInfoFrame(JFrame F) {
		super(F,true);
		
		System.out.println("start");
		
		text = new JTextPane();
		textPane = new JScrollPane(text);
		text.setEditable(false);
		text.setMaximumSize(new Dimension(300,1000));
		textPane.setPreferredSize(new Dimension(300,200));
		text.setPreferredSize(new Dimension(300,200));
		this.setResizable(false);
		//text.setWrapStyleWord(true);
		text.setText(readFile().toString());
		//text.validate();
		contiuneButton = new JButton("Contiune");
		cancelButton = new JButton("Cancel");
		contiuneButton.addActionListener(this);
		cancelButton.addActionListener(this);
		this.setLayout(new GridBagLayout());
		GridBagConstraints gbc = new GridBagConstraints();
		gbc.gridx = 0;
		gbc.gridy = 1;
		gbc.fill = GridBagConstraints.HORIZONTAL;
		this.getContentPane().add(cancelButton,gbc);
		gbc.gridx = 2;
		gbc.gridy = 1;
		gbc.weightx = 2;
		gbc.anchor = GridBagConstraints.LAST_LINE_END;
		this.getContentPane().add( contiuneButton,gbc);
		gbc.anchor = GridBagConstraints.CENTER;
		gbc.gridx = 0;
		gbc.gridy = 0;
		gbc.gridwidth = 3;
		gbc.fill = GridBagConstraints.BOTH;
		
		this.getContentPane().add(textPane,gbc);
		this.pack();
		this.setTitle("Information");
		this.setLocation(this.getToolkit().getScreenSize().width / 2
				- this.getWidth() / 2, this.getToolkit().getScreenSize().height
				/ 2 - this.getHeight() / 2);
		//this.setSize(300, 400);
		
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

	}
	private StringBuffer readFile() {
		StringBuffer text = new StringBuffer();
		InputStream in = this.getClass().getResourceAsStream(
				"Information.txt");
		if (in == null) {
	
			return null;
		}
		BufferedReader bufin = new BufferedReader(new InputStreamReader(in));
		String line;
		try {
			while ((line = bufin.readLine()) != null) {
				text.append(line);
				// text.append("\n");
			}

		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}	
		return text;

	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ExtraInfoFrame frame = new ExtraInfoFrame(null);
		frame.setVisible(true);

	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		Object source = arg0.getSource();
		if(source == contiuneButton){
			this.dispose();
		}else if(source == cancelButton){
			this.dispose();
		}
		
	}

}
